<?php  // $Id: mod.php,v 1.6 2006/10/09 10:07:15 skodak Exp $

    /* -----course/import/acivities/mod.php copy -----*/
    if (!defined('MOODLE_INTERNAL')) {
        die('Direct access to this script is forbidden.');    ///  It must be included from a Moodle page
    }

    require_once($CFG->dirroot.'/course/lib.php');
    require_once($CFG->dirroot.'/backup/restorelib.php');
    
    $syscontext = get_context_instance(CONTEXT_SYSTEM, SITEID);

    // if we're not a course creator , we can only import from our own courses.
//    if (has_capability('moodle/course:create', $syscontext)) {
      $creator = true;
//    }

    $strimport = get_string("importdata");
 
    $tcourseids = '';
 
    if ($teachers = get_user_capability_course('moodle/course:update')) {
        foreach ($teachers as $teacher) {
            if ($teacher->id != $course->id && $teacher->id != SITEID){
                $tcourseids .= $teacher->id.',';
            }
        }
    }

    $taught_courses = array();
    if (!empty($tcourseids)) {
        $tcourseids = substr($tcourseids,0,-1);
        $taught_courses = get_records_list('course', 'id', $tcourseids);
    }
//$refcourseids  $refusers $permission_courses
    $refcourseids = '';
    if ($refusers = get_user_capability_course('mod/resource:referresource')) {
        foreach ($refusers as $teacher) {
            if ($teacher->id != $course->id && $teacher->id != SITEID){
                $refcourseids .= $teacher->id.',';
            }
        }
    }

    $permission_courses = array();
    if (!empty($refcourseids)) {
        $refcourseids = substr($refcourseids,0,-1);
        $permission_courses = get_records_list('course', 'id', $refcourseids);
    }

    print_heading(get_string("referresource","resource"));

    $toptions = array();
    foreach ($taught_courses as $tcourse) {
        if ($tcourse->id != $course->id && $tcourse->id != SITEID){
            $toptions[$tcourse->id] = $tcourse->fullname;
        }
    }

    if (empty($toptions) && empty($creator)) {
        notify(get_string('courseimportnotaught'));
        return; // yay , this will pass control back to the file that included or required us.
    }

    $fm = '<form method="post" action="'.$CFG->wwwroot.'/mod/resource/type/ref/index.php"><input type="hidden" name="id" value="'.$course->id.'" /><input type="hidden" name="section" value="'.$section.'" />';
    $submit = '<input type="submit" value="'.get_string('usethiscourse').'" /></form>';

    if (count($toptions) > 0) {
        $table->data[] = array($fm.'<b>'.get_string('coursestaught').'</b>',
                               choose_from_menu($toptions,"fromcourse","","choose","","0",true),
                               $submit);
    }

    $options = array();
    foreach ($permission_courses as $tcourse) {
        if ($tcourse->id != $course->id && $tcourse->id != SITEID){
            $options[$tcourse->id] = $tcourse->fullname;
        }
    }
    
    if (count($options) > 0) {
        $table->data[] = array($fm.'<b>'.get_string('referresourcecourse','resource').'</b>',
                               choose_from_menu($options,"fromcourse","","choose","","0",true),
                               $submit);
    }

    if (!empty($creator)) {
        $table->data[] = array($fm.'<b>'.get_string('searchcourses').'</b>',
                               '<input type="text" name="fromcoursesearch" />',
                               '<input type="submit" value="'.get_string('searchcourses').'" /></form>');
    }

    if (!empty($fromcoursesearch) && !empty($creator)) {
        $totalcount = 0;
        $courses = get_courses_search(explode(" ",$fromcoursesearch),"fullname ASC",$page,50,$totalcount);
	
         if (is_array($courses) and count($courses) > 0) {
	        $nocount = 0;
                $table->data[] = array('<b>'.get_string('searchresults').'</b>','','');
                foreach ($courses as $scourse) {
                    if ($course->id != $scourse->id) {
		        if (array_key_exists($scourse->id,$toptions) || array_key_exists($scourse->id,$options)) {
		    
	                    $table->data[] = array('',$scourse->fullname,
                                                   '<a href="'.$CFG->wwwroot.'/mod/resource/type/ref/index.php?id='.$course->id.'&fromcourse='
						   .$scourse->id.'&section='.$section.'">'
                                                   .get_string('usethiscourse'));
			    $nocount ++; 
                        }
		    }
                }
	    if ($nocount == 0) {
	        $table->data[] = array('',get_string('noresults'),'');
	    }
        } else {
            $table->data[] = array('',get_string('noresults'),'');
        }
    }

    print_table($table);

?>