<?php // $Id: import.php,v 1.12 2006/09/05 08:50:23 toyomoyo Exp $
      // Display all the interfaces for importing data into a specific course

    /*-----course/import.php copy-----*/
    require_once('../../../../config.php');

    $id = required_param('id', PARAM_INT);   // course id to import TO
    $section = required_param('section', PARAM_INT);    //refer section

    if (!$course = get_record('course', 'id', $id)) {
        error("That's an invalid course id");
    }

    //moodle/site:import
    require_capability('moodle/course:update', get_context_instance(CONTEXT_COURSE, $id));

/// Always we begin an import, we delete all backup/restore/import session structures
    if (isset($SESSION->course_header)) {
        unset ($SESSION->course_header);
    }
    if (isset($SESSION->info)) {
        unset ($SESSION->info);
    }
    if (isset($SESSION->backupprefs)) {
        unset ($SESSION->backupprefs);
    }
    if (isset($SESSION->restore)) {
        unset ($SESSION->restore);
    }
    if (isset($SESSION->import_preferences)) {
        unset ($SESSION->import_preferences);
    }

    $strreferresource = get_string('referresource','resource');
    $strresourcetyperefer = get_string('resourcetyperefer','resource');
    //dirroot -> wwwroot
    print_header($course->fullname.': '.$strreferresource, $course->fullname.': '.$strresourcetyperefer, 
                 '<a href="'.$CFG->wwwroot.'/course/view.php?id='.$course->id.'">'.$course->shortname.'</a> -> '.$strreferresource);
    print_heading_with_help(get_string("resourcetyperef", 'resource'), "ref", 'resource/type');
    echo '<div class="plugin">';
    include_once($CFG->dirroot.'/mod/resource/type/ref/mod.php');
    echo '</div>';

    print_footer();
?>
